
From: Johannes Stezenbach <js@linuxtv.org>

patch by Mattias Holmlund: support new version of unshield for
sp887x firmware extraction (changed cmdline parameters)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/dvb/get_dvb_firmware |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN Documentation/dvb/get_dvb_firmware~dvb-get_dvb_firmware-new-unshield-version Documentation/dvb/get_dvb_firmware
--- 25/Documentation/dvb/get_dvb_firmware~dvb-get_dvb_firmware-new-unshield-version	2005-03-21 20:57:36.000000000 -0800
+++ 25-akpm/Documentation/dvb/get_dvb_firmware	2005-03-21 20:57:36.000000000 -0800
@@ -79,8 +79,8 @@ sub sp887x {
     wgetfile($sourcefile, $url);
     unzip($sourcefile, $tmpdir);
     unshield("$tmpdir/$cabfile", $tmpdir);
-    verify("$tmpdir/sc_main.mc", $hash);
-    copy("$tmpdir/sc_main.mc", $outfile);
+    verify("$tmpdir/ZEnglish/sc_main.mc", $hash);
+    copy("$tmpdir/ZEnglish/sc_main.mc", $outfile);
 
     $outfile;
 }
@@ -292,7 +292,7 @@ sub unzip {
 sub unshield {
     my ($sourcefile, $todir) = @_;
 
-    system("unshield -d \"$todir\" \"$sourcefile\" > /dev/null" ) and die ("unshield failed - unable to extract firmware");
+    system("unshield x -d \"$todir\" \"$sourcefile\" > /dev/null" ) and die ("unshield failed - unable to extract firmware");
 }
 
 sub verify {
_
